Package com.independentsoft.office.word

# Class EastAsianLayout

java.lang.Object
com.independentsoft.office.word.EastAsianLayout

public class EastAsianLayout extends Object
The Class EastAsianLayout.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EastAsianLayout()`
  Instantiates a new east asian layout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EastAsianLayout`
  `clone()`
  `CombineBrackets`
  `getCombineBrackets()`
  Gets the combine brackets.
  `int`
  `getID()`
  Gets the id.
  `TextCombinationType`
  `getTextCombinationType()`
  Gets the text combination type.
  `ExtendedBoolean`
  `getVertical()`
  Gets the vertical.
  `ExtendedBoolean`
  `getVerticalCompress()`
  Gets the vertical compress.
  `void`
  `setCombineBrackets​(CombineBrackets combineBrackets)`
  Sets the combine brackets.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setTextCombinationType​(TextCombinationType combine)`
  Sets the text combination type.
  `void`
  `setVertical​(ExtendedBoolean vertical)`
  Sets the vertical.
  `void`
  `setVerticalCompress​(ExtendedBoolean verticalCompress)`
  Sets the vertical compress.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EastAsianLayout

    public EastAsianLayout()
    Instantiates a new east asian layout.

- ## Method Details

  - ### clone

    public EastAsianLayout clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getTextCombinationType

    public TextCombinationType getTextCombinationType()
    Gets the text combination type.
    Returns:
      the text combination type

  - ### setTextCombinationType

    public void setTextCombinationType​(TextCombinationType combine)
    Sets the text combination type.
    Parameters:
      `combine` - the new text combination type

  - ### getCombineBrackets

    public CombineBrackets getCombineBrackets()
    Gets the combine brackets.
    Returns:
      the combine brackets

  - ### setCombineBrackets

    public void setCombineBrackets​(CombineBrackets combineBrackets)
    Sets the combine brackets.
    Parameters:
      `combineBrackets` - the new combine brackets

  - ### getVertical

    public ExtendedBoolean getVertical()
    Gets the vertical.
    Returns:
      the vertical

  - ### setVertical

    public void setVertical​(ExtendedBoolean vertical)
    Sets the vertical.
    Parameters:
      `vertical` - the new vertical

  - ### getVerticalCompress

    public ExtendedBoolean getVerticalCompress()
    Gets the vertical compress.
    Returns:
      the vertical compress

  - ### setVerticalCompress

    public void setVerticalCompress​(ExtendedBoolean verticalCompress)
    Sets the vertical compress.
    Parameters:
      `verticalCompress` - the new vertical compress

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id